{% extends 'base.html' %}

{% block content %}
    <h1 class="mx-auto">Apache log parser</h1>

<div class="container mt-5">
    <div class="row justify-content-center">
        <form method="POST" action=" {{ url_for('index') }} " enctype="multipart/form-data">
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col">
                        <input type="file" name="file" class="form-control-file">
                    </div>
                    <div class="form-col">
                        <button type="submit" class="btn btn-warning">Submit</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="row mt-5 mx-auto text-center">
    {% for elem in ips %}
        <div class="col-6"> {{ elem['ip'] }}</div>
        <div class="col-6"> {{ elem['frequency'] }}</div>
    {% endfor %}
</div>
<div class="row mt-5 mb-5 mx-auto text-center">
    {% for elem in ips %}
        <div class="col-12">Deny from {{ elem['ip'] }}</div>
    {% endfor %}
</div>

{% endblock %}
